subset,adv-method {oce} | R Documentation

## Subset an ADV Object

### Description

Subset an adv (acoustic Doppler profile) object. This function is somewhat analogous to `subset.data.frame`, except that subsets can only be specified in terms of `time`.

### Usage

    ## S4 method for signature 'adv'
    subset(x, subset, ...)

### Arguments

`x` | An `adv` object, i.e. one inheriting from `adv-class`.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Value

A new `adv-class` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `adv` data: `[[,adv-method`, `[[<-,adv-method`, `adv-class`, `adv`, `beamName`, `beamToXyz`, `enuToOtherAdv`, `enuToOther`, `plot,adv-method`, `read.adv.nortek`, `read.adv.sontek.adr`, `read.adv.sontek.serial`, `read.adv.sontek.text`, `read.adv`, `summary,adv-method`, `toEnuAdv`, `toEnu`, `velocityStatistics`, `xyzToEnuAdv`, `xyzToEnu`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(adv)
    plot(adv)
    plot(subset(adv, time < mean(range(adv[['time']]))))

[Package oce version 0.9-22 Index]